/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.ui;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

// 定义一个名为AlarmReceiver的类，继承自BroadcastReceiver，用于接收广播消息
public class AlarmReceiver extends BroadcastReceiver {
    // 重写BroadcastReceiver的onReceive方法，该方法在接收到广播时被调用
    @Override
    public void onReceive(Context context, Intent intent) {
        // 将Intent的类设置为AlarmAlertActivity，即指定要启动的Activity
        intent.setClass(context, AlarmAlertActivity.class);
        // 为Intent添加FLAG_ACTIVITY_NEW_TASK标志，表示启动一个新的任务来承载该Activity
        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
        // 使用上下文context启动Activity，传入设置好的Intent
        context.startActivity(intent);
    }
}
