/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.tool;

public class GTaskStringUtils {

    // 定义常量，用于表示JSON中的action_id字段
    public final static String GTASK_JSON_ACTION_ID = "action_id";

    // 定义常量，用于表示JSON中的action_list字段
    public final static String GTASK_JSON_ACTION_LIST = "action_list";

    // 定义常量，用于表示JSON中的action_type字段
    public final static String GTASK_JSON_ACTION_TYPE = "action_type";

    // 定义常量，用于表示JSON中的action_type为create的字段
    public final static String GTASK_JSON_ACTION_TYPE_CREATE = "create";

    // 定义常量，用于表示JSON中的action_type为get_all的字段
    public final static String GTASK_JSON_ACTION_TYPE_GETALL = "get_all";

    // 定义常量，用于表示JSON中的action_type为move的字段
    public final static String GTASK_JSON_ACTION_TYPE_MOVE = "move";

    // 定义常量，用于表示JSON中的action_type为update的字段
    public final static String GTASK_JSON_ACTION_TYPE_UPDATE = "update";

    // 定义常量，用于表示JSON中的creator_id字段
    public final static String GTASK_JSON_CREATOR_ID = "creator_id";

    // 定义常量，用于表示JSON中的child_entity字段
    public final static String GTASK_JSON_CHILD_ENTITY = "child_entity";

    // 定义常量，用于表示JSON中的client_version字段
    public final static String GTASK_JSON_CLIENT_VERSION = "client_version";

    // 定义常量，用于表示JSON中的completed字段
    public final static String GTASK_JSON_COMPLETED = "completed";

    // 定义常量，用于表示JSON中的current_list_id字段
    public final static String GTASK_JSON_CURRENT_LIST_ID = "current_list_id";

    // 定义常量，用于表示JSON中的default_list_id字段
    public final static String GTASK_JSON_DEFAULT_LIST_ID = "default_list_id";

    // 定义常量，用于表示JSON中的deleted字段
    public final static String GTASK_JSON_DELETED = "deleted";

    // 定义常量，用于表示JSON中的dest_list字段
    public final static String GTASK_JSON_DEST_LIST = "dest_list";

    // 定义常量，用于表示JSON中的dest_parent字段
    public final static String GTASK_JSON_DEST_PARENT = "dest_parent";

    // 定义常量，用于表示JSON中的dest_parent_type字段
    public final static String GTASK_JSON_DEST_PARENT_TYPE = "dest_parent_type";

    // 定义常量，用于表示JSON中的entity_delta字段
    public final static String GTASK_JSON_ENTITY_DELTA = "entity_delta";

    // 定义常量，用于表示JSON中的entity_type字段
    public final static String GTASK_JSON_ENTITY_TYPE = "entity_type";

    // 定义常量，用于表示JSON中的get_deleted字段
    public final static String GTASK_JSON_GET_DELETED = "get_deleted";

    // 定义常量，用于表示JSON中的id字段
    public final static String GTASK_JSON_ID = "id";

    // 定义常量，用于表示JSON中的index字段
    public final static String GTASK_JSON_INDEX = "index";

    // 定义常量，用于表示JSON中的last_modified字段
    public final static String GTASK_JSON_LAST_MODIFIED = "last_modified";

    // 定义常量，用于表示JSON中的latest_sync_point字段
    public final static String GTASK_JSON_LATEST_SYNC_POINT = "latest_sync_point";

    // 定义常量，用于表示JSON中的list_id字段
    public final static String GTASK_JSON_LIST_ID = "list_id";

    // 定义常量，用于表示JSON中的lists字段
    public final static String GTASK_JSON_LISTS = "lists";

    // 定义常量，用于表示JSON中的name字段
    public final static String GTASK_JSON_NAME = "name";

    // 定义常量，用于表示JSON中的new_id字段
    public final static String GTASK_JSON_NEW_ID = "new_id";

    // 定义常量，用于表示JSON中的notes字段
    public final static String GTASK_JSON_NOTES = "notes";

    // 定义常量，用于表示JSON中的parent_id字段
    public final static String GTASK_JSON_PARENT_ID = "parent_id";

    // 定义常量，用于表示JSON中的prior_sibling_id字段
    public final static String GTASK_JSON_PRIOR_SIBLING_ID = "prior_sibling_id";

    // 定义常量，用于表示JSON中的results字段
    public final static String GTASK_JSON_RESULTS = "results";

    // 定义常量，用于表示JSON中的source_list字段
    public final static String GTASK_JSON_SOURCE_LIST = "source_list";

    // 定义常量，用于表示JSON中的tasks字段
    public final static String GTASK_JSON_TASKS = "tasks";

    // 定义常量，用于表示JSON中的type字段
    public final static String GTASK_JSON_TYPE = "type";

    // 定义常量，用于表示JSON中的type为GROUP的字段
    public final static String GTASK_JSON_TYPE_GROUP = "GROUP";

    // 定义常量，用于表示JSON中的type为TASK的字段
    public final static String GTASK_JSON_TYPE_TASK = "TASK";

    // 定义常量，用于表示JSON中的user字段
    public final static String GTASK_JSON_USER = "user";

    // 定义常量，用于表示MIUI文件夹前缀
    public final static String MIUI_FOLDER_PREFFIX = "[MIUI_Notes]";

    // 定义常量，用于表示默认文件夹名称
    public final static String FOLDER_DEFAULT = "Default";

    // 定义常量，用于表示通话记录文件夹名称
    public final static String FOLDER_CALL_NOTE = "Call_Note";

    // 定义常量，用于表示元数据文件夹名称
    public final static String FOLDER_META = "METADATA";

    // 定义常量，用于表示元数据中的任务ID字段
    public final static String META_HEAD_GTASK_ID = "meta_gid";

    // 定义常量，用于表示元数据中的笔记字段
    public final static String META_HEAD_NOTE = "meta_note";

    // 定义常量，用于表示元数据中的数据字段
    public final static String META_HEAD_DATA = "meta_data";

    // 定义常量，用于表示元数据笔记的名称
    public final static String META_NOTE_NAME = "[META INFO] DON'T UPDATE AND DELETE";

}
