/*
 * Copyright (c) 2010-2011, The MiCode Open Source Community (www.micode.net)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.micode.notes.gtask.exception;

// 定义一个名为 NetworkFailureException 的异常类，继承自 Exception 类
public class NetworkFailureException extends Exception {
    // 定义一个序列化版本UID，用于序列化和反序列化时保持类的兼容性
    private static final long serialVersionUID = 2107610287180234136L;

    // 无参构造函数，调用父类的无参构造函数
    public NetworkFailureException() {
        super();
    }

    // 带有一个字符串参数的构造函数，用于传递异常信息，调用父类的带字符串参数的构造函数
    public NetworkFailureException(String paramString) {
        super(paramString);
    }

    // 带有一个字符串参数和一个 Throwable 参数的构造函数，用于传递异常信息和原始异常对象，调用父类的带这两个参数的构造函数
    public NetworkFailureException(String paramString, Throwable paramThrowable) {
        super(paramString, paramThrowable);
    }
}
